Create an overlay
POST/v1/overlays
POST
/v1/overlays
const url = 'https://api.ligr.live/rest/v1/overlays';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","encodingDelay":1,"matchId":1,"autoMode":true,"adType":"free","competitionThemeSettingId":1,"controlRoomId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/overlays \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "encodingDelay": 1, "matchId": 1, "autoMode": true, "adType": "free", "competitionThemeSettingId": 1, "controlRoomId": 1 }'Create a new overlay for a match.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
Match name
string
encodingDelay
integer format: int32
matchId
required
Entity identifier
integer format: int32
autoMode
Set false for manual control. Requires adType noBrands or brands.
boolean
adType
string
competitionThemeSettingId
Entity identifier
integer format: int32
controlRoomId
integer format: int32
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
key
required
Stringified UUIDv4. See RFC 4112
string
id
required
Entity identifier
integer format: int32
controlRoomUrl
string
monitoringUrl
Read-only monitoring page of the new overlay on the overlay host of this environment.
string
Examplegenerated
{ "key": "example", "id": 1, "controlRoomUrl": "example", "monitoringUrl": "example"}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Overlay not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}